<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionScriptViewMenu Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d66/class_expansion_script_view_menu.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionScriptViewMenu Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionScriptViewMenu:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d66/class_expansion_script_view_menu.png" usemap="#ExpansionScriptViewMenu_map" alt=""/>
  <map id="ExpansionScriptViewMenu_map" name="ExpansionScriptViewMenu_map">
<area href="../../db/db9/class_expansion_script_view_menu_base.html" alt="ExpansionScriptViewMenuBase" shape="rect" coords="0,0,191,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab84718e82974ae4cff91bcc0bd693a8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#ab84718e82974ae4cff91bcc0bd693a8a">ExpansionScriptViewMenu</a> ()</td></tr>
<tr class="separator:ab84718e82974ae4cff91bcc0bd693a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a859d3ef1f0ce197a189ca91c3a2f7fde"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a859d3ef1f0ce197a189ca91c3a2f7fde">~ExpansionScriptViewMenu</a> ()</td></tr>
<tr class="separator:a859d3ef1f0ce197a189ca91c3a2f7fde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a316bb9fc21d16787a862b9bdbd1bef45"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a316bb9fc21d16787a862b9bdbd1bef45">Show</a> ()</td></tr>
<tr class="separator:a316bb9fc21d16787a862b9bdbd1bef45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31e757b7f19847203c7d5feb5c6a299e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a31e757b7f19847203c7d5feb5c6a299e">OnShow</a> ()</td></tr>
<tr class="separator:a31e757b7f19847203c7d5feb5c6a299e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a796888a4b54240de35fafba354076164"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a796888a4b54240de35fafba354076164">Hide</a> ()</td></tr>
<tr class="separator:a796888a4b54240de35fafba354076164"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae845729a63e1447f6b0365886331f07d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#ae845729a63e1447f6b0365886331f07d">OnHide</a> ()</td></tr>
<tr class="separator:ae845729a63e1447f6b0365886331f07d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16ea94597176078aad4a980afa6c6fe7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a16ea94597176078aad4a980afa6c6fe7">LockControls</a> (bool lockMovement=true)</td></tr>
<tr class="separator:a16ea94597176078aad4a980afa6c6fe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bfe1bda456eb8add992f00885c6717f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a3bfe1bda456eb8add992f00885c6717f">UnlockControls</a> ()</td></tr>
<tr class="separator:a3bfe1bda456eb8add992f00885c6717f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80e26952044b9fb3944b63ddd9f4dfa2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a80e26952044b9fb3944b63ddd9f4dfa2">LockInputs</a> (bool state, bool lockMovement=true)</td></tr>
<tr class="separator:a80e26952044b9fb3944b63ddd9f4dfa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4dc1bc07f9459b695bbbc1d995fa602"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#ab4dc1bc07f9459b695bbbc1d995fa602">UnlockInputs</a> ()</td></tr>
<tr class="separator:ab4dc1bc07f9459b695bbbc1d995fa602"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cf6ae6972978cfa633d7b73a5bb9103"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a7cf6ae6972978cfa633d7b73a5bb9103">ShowHud</a> (bool state)</td></tr>
<tr class="separator:a7cf6ae6972978cfa633d7b73a5bb9103"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60720e66a3e77b168194927e5fd1eea8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a60720e66a3e77b168194927e5fd1eea8">ShowUICursor</a> (bool state)</td></tr>
<tr class="separator:a60720e66a3e77b168194927e5fd1eea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af18602c86161898b070444fd3f254efc"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#af18602c86161898b070444fd3f254efc">CanShow</a> ()</td></tr>
<tr class="separator:af18602c86161898b070444fd3f254efc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85dbd5262ef93f23a2857aab1f1d7c09"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a85dbd5262ef93f23a2857aab1f1d7c09">GetUpdateTickRate</a> ()</td></tr>
<tr class="separator:a85dbd5262ef93f23a2857aab1f1d7c09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a2f23acab79e5d21beb94ba98d55231"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a2a2f23acab79e5d21beb94ba98d55231">CreateUpdateTimer</a> ()</td></tr>
<tr class="separator:a2a2f23acab79e5d21beb94ba98d55231"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9e6ed65fe7a9368a2703d3dde86eb4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#aa9e6ed65fe7a9368a2703d3dde86eb4c">DestroyUpdateTimer</a> ()</td></tr>
<tr class="separator:aa9e6ed65fe7a9368a2703d3dde86eb4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82eec78e2019ebb84180f3b3612f77e2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a82eec78e2019ebb84180f3b3612f77e2">Update</a> ()</td></tr>
<tr class="separator:a82eec78e2019ebb84180f3b3612f77e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed06c5d3b48a1ecb76f25748385cc414"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#aed06c5d3b48a1ecb76f25748385cc414">CanClose</a> ()</td></tr>
<tr class="separator:aed06c5d3b48a1ecb76f25748385cc414"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a51891d3e8acf90e56fc90b93b4efdcab"><td class="memItemLeft" align="right" valign="top">protected ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html#a51891d3e8acf90e56fc90b93b4efdcab">m_UpdateTimer</a></td></tr>
<tr class="separator:a51891d3e8acf90e56fc90b93b4efdcab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c.html">ExpansionScriptViewMenu.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00013">13</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab84718e82974ae4cff91bcc0bd693a8a" name="ab84718e82974ae4cff91bcc0bd693a8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab84718e82974ae4cff91bcc0bd693a8a">&#9670;&#160;</a></span>ExpansionScriptViewMenu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionScriptViewMenu::ExpansionScriptViewMenu </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00017">17</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a859d3ef1f0ce197a189ca91c3a2f7fde" name="a859d3ef1f0ce197a189ca91c3a2f7fde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a859d3ef1f0ce197a189ca91c3a2f7fde">&#9670;&#160;</a></span>~ExpansionScriptViewMenu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionScriptViewMenu::~ExpansionScriptViewMenu </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00025">25</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aed06c5d3b48a1ecb76f25748385cc414" name="aed06c5d3b48a1ecb76f25748385cc414"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed06c5d3b48a1ecb76f25748385cc414">&#9670;&#160;</a></span>CanClose()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionScriptViewMenu::CanClose </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00201">201</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="af18602c86161898b070444fd3f254efc" name="af18602c86161898b070444fd3f254efc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af18602c86161898b070444fd3f254efc">&#9670;&#160;</a></span>CanShow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionScriptViewMenu::CanShow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00171">171</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a2a2f23acab79e5d21beb94ba98d55231" name="a2a2f23acab79e5d21beb94ba98d55231"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a2f23acab79e5d21beb94ba98d55231">&#9670;&#160;</a></span>CreateUpdateTimer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionScriptViewMenu::CreateUpdateTimer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00181">181</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="aa9e6ed65fe7a9368a2703d3dde86eb4c" name="aa9e6ed65fe7a9368a2703d3dde86eb4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9e6ed65fe7a9368a2703d3dde86eb4c">&#9670;&#160;</a></span>DestroyUpdateTimer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionScriptViewMenu::DestroyUpdateTimer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00190">190</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a85dbd5262ef93f23a2857aab1f1d7c09" name="a85dbd5262ef93f23a2857aab1f1d7c09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85dbd5262ef93f23a2857aab1f1d7c09">&#9670;&#160;</a></span>GetUpdateTickRate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionScriptViewMenu::GetUpdateTickRate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00176">176</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a796888a4b54240de35fafba354076164" name="a796888a4b54240de35fafba354076164"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a796888a4b54240de35fafba354076164">&#9670;&#160;</a></span>Hide()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionScriptViewMenu::Hide </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00053">53</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a16ea94597176078aad4a980afa6c6fe7" name="a16ea94597176078aad4a980afa6c6fe7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16ea94597176078aad4a980afa6c6fe7">&#9670;&#160;</a></span>LockControls()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionScriptViewMenu::LockControls </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>lockMovement</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >XXX: GetGame().GetInput().ChangeGameFocus(1) works, but disables ESC key...</p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00069">69</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a80e26952044b9fb3944b63ddd9f4dfa2" name="a80e26952044b9fb3944b63ddd9f4dfa2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80e26952044b9fb3944b63ddd9f4dfa2">&#9670;&#160;</a></span>LockInputs()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionScriptViewMenu::LockInputs </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>lockMovement</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Allow player movement</p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00100">100</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="ae845729a63e1447f6b0365886331f07d" name="ae845729a63e1447f6b0365886331f07d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae845729a63e1447f6b0365886331f07d">&#9670;&#160;</a></span>OnHide()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionScriptViewMenu::OnHide </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00061">61</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a31e757b7f19847203c7d5feb5c6a299e" name="a31e757b7f19847203c7d5feb5c6a299e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31e757b7f19847203c7d5feb5c6a299e">&#9670;&#160;</a></span>OnShow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionScriptViewMenu::OnShow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00044">44</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a316bb9fc21d16787a862b9bdbd1bef45" name="a316bb9fc21d16787a862b9bdbd1bef45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a316bb9fc21d16787a862b9bdbd1bef45">&#9670;&#160;</a></span>Show()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionScriptViewMenu::Show </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00033">33</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a7cf6ae6972978cfa633d7b73a5bb9103" name="a7cf6ae6972978cfa633d7b73a5bb9103"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cf6ae6972978cfa633d7b73a5bb9103">&#9670;&#160;</a></span>ShowHud()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionScriptViewMenu::ShowHud </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00144">144</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a60720e66a3e77b168194927e5fd1eea8" name="a60720e66a3e77b168194927e5fd1eea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60720e66a3e77b168194927e5fd1eea8">&#9670;&#160;</a></span>ShowUICursor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionScriptViewMenu::ShowUICursor </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00163">163</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a3bfe1bda456eb8add992f00885c6717f" name="a3bfe1bda456eb8add992f00885c6717f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bfe1bda456eb8add992f00885c6717f">&#9670;&#160;</a></span>UnlockControls()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionScriptViewMenu::UnlockControls </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00085">85</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="ab4dc1bc07f9459b695bbbc1d995fa602" name="ab4dc1bc07f9459b695bbbc1d995fa602"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4dc1bc07f9459b695bbbc1d995fa602">&#9670;&#160;</a></span>UnlockInputs()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionScriptViewMenu::UnlockInputs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00137">137</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<a id="a82eec78e2019ebb84180f3b3612f77e2" name="a82eec78e2019ebb84180f3b3612f77e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82eec78e2019ebb84180f3b3612f77e2">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionScriptViewMenu::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a51891d3e8acf90e56fc90b93b4efdcab" name="a51891d3e8acf90e56fc90b93b4efdcab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51891d3e8acf90e56fc90b93b4efdcab">&#9670;&#160;</a></span>m_UpdateTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref Timer ExpansionScriptViewMenu::m_UpdateTimer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00015">15</a> of file <a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/mvc/scriptviews/bases/<a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c_source.html">expansionscriptviewmenu.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d66/class_expansion_script_view_menu.html">ExpansionScriptViewMenu</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
